Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > General OpenSUSE


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Tumbleweed, kernel 4.0 y nvidia
  #1  
Antiguo 05-may-2015, 08:18
Coldbeer Coldbeer está desconectado
Habitual
 
Fecha de Ingreso: 02-agosto-2012
Ubicación: Iquique, Chile
Versión: 12.2
Mensajes: 116
Agradecimientos: 64
Agradecido 1 Vez en 1 Mensaje
Poder de Credibilidad: 6
Coldbeer está en el buen camino
Tumbleweed, kernel 4.0 y nvidia

Holas, hace un par de dias actualize mi tumbleweed y llego el dichoso kernel 4.0 pero no puedo instalar los drivers nvidia (340xx) ya que falla al intentarlo, estube leyendo y encontre algunos parches pero todavia no tengo las skills suficientes para parchar los drivers, hay alguna otra forma de instalar los drivers nvidia en tumbleweed o ya no podré usarlo nunca mas por que mi tarjeta una 310M ya no tendrá parches nuevos por parte de nvidia y necesito los privativos ya que uso mi laptop para jugar wow y con nouveau no es suficiente.


Gracias.



pd: si alguien tiene los drivers 340.76 parchados o sabe de donde puedo bajarlos seria genial, gracias.

pd2: si instalo 13.2 hay forma de mantener actualizados programas como playonlinux, libreoffice y gimp que son los que mas uso?

Última edición por Coldbeer; 05-may-2015 a las 08:20
Responder Citando
  #2  
Antiguo 05-may-2015, 14:10
Avatar de LUKE10
LUKE10 LUKE10 está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 27-septiembre-2006
Ubicación: Epaña (murcia)
Versión: Leap 42.2 - KDE
Mensajes: 1.654
Agradecimientos: 73
Agradecido 402 Veces en 314 Mensajes
Poder de Credibilidad: 13
LUKE10 está en el buen camino
Enviar un mensaje por MSN a LUKE10
Hola¡¡

Los driver de Nvidia como los de los repositorios aun no están actualizados para la versión 4 del kernel, la solución es seguir con la versión 3.19 hasta que Nvidia lo soporte.

En repositorios en yast2 puedes añadir los repositorios que dices, están en el apartado repositorios de la comunidad, hay están los de Nvidia, libreoffice, playonlinux.... los de playonlinux están en el repositorio gamer o juegos.

Los driver de nvidia también están en el repositorio, no hace falta que los instales por consola, cuando Nvidia les de mantenimiento a los binarios suyos también los tendrán los de los repositorios en formato .rmp .

Estos los tienes tanto en la version 13.2 como en tumbleweed.

Un saludo.
__________________
Subir fotos: http://subefotos.com/

Última edición por LUKE10; 05-may-2015 a las 14:12
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a LUKE10 Por Este Mensaje:
Coldbeer (05-may-2015)
  #3  
Antiguo 05-may-2015, 14:48
Avatar de mad_soft
mad_soft mad_soft está desconectado
Habitual
 
Fecha de Ingreso: 17-octubre-2005
Ubicación: Valencia
Versión: 42.2
Mensajes: 180
Agradecimientos: 4
Agradecido 37 Veces en 27 Mensajes
Poder de Credibilidad: 13
mad_soft está en el buen camino
Enviar un mensaje por ICQ a mad_soft
Yo tengo el kernel 4 con los drivers 346.59 bajados de la web de nvidia, no los del repo y funciona perfectamente
__________________
http://webs.ono.com/mad_soft/images/linux-reg.jpg
SuSE 42.2
Responder Citando
  #4  
Antiguo 05-may-2015, 14:59
Avatar de mikrios
mikrios mikrios está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 02-marzo-2013
Ubicación: Lat. 27.994547-Lon -15.405127-160m nivel del mar
Versión: 13.1-2,TW,Leap
Mensajes: 4.523
Agradecimientos: 1.907
Agradecido 1.397 Veces en 1.173 Mensajes
Poder de Credibilidad: 9
mikrios llegará a ser famoso muy pronto
Hola:

Se que es una lata, el tema de los drivers de nvidia, por lo menos en tumbleweed, de la cual siempre esta actualizando el kernel .

Por un lado disfrutamos de las últimas versiones, pero por otro nos suelen fallar aquellas aplicaciones,drivers,etc que puedan depender del kernel( nvidia,virtualbox,ati y otros drivers que se instalen) .

El tema es el siguiente alguien ya hizo la prueba de si dkms, puede mantener la compatibilidad, cada vez que hay un cambio de kernel .

Para ello solo serian validos aquellos drivers que se instalan y se efectúa una compilación (vamos que creo que no funcionan para los que ya vienen compilados, ejemplo de ello es el virtualbox de los repositorios ) .

También cosa que no he mirado en profundidad es los proyectos que hay del tema de las gráficas (algo que ya esta en la wiki o al menos en parte, y creo que en el forum ) ; no se si Optimus y Bumblebee.

Creo que uno es para las dobles gráficas (intel+ ¿ ?) y el otro ni idea, vamos que no he mirado por ahora (no se si alguno de ellos hace uso de dkms) .

Alguien hizo la prueba con dkms activo e instalo los drivers de nvidia (lo de su página web) ?

Si lo hicieron, dkms status contempla un kernel nvidia, cuando hay cambio del kernel?

Saludos cordiales

PD. por ahora por lo menos si funciona con virtualbox bajado de la página de Oracle, pero de lo otro ni idea,por ahora no he realizado pruebas .
Responder Citando
  #5  
Antiguo 05-may-2015, 15:30
Avatar de LUKE10
LUKE10 LUKE10 está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 27-septiembre-2006
Ubicación: Epaña (murcia)
Versión: Leap 42.2 - KDE
Mensajes: 1.654
Agradecimientos: 73
Agradecido 402 Veces en 314 Mensajes
Poder de Credibilidad: 13
LUKE10 está en el buen camino
Enviar un mensaje por MSN a LUKE10
Wink

Cita:
Iniciado por mad_soft Ver Mensaje
Yo tengo el kernel 4 con los drivers 346.59 bajados de la web de nvidia, no los del repo y funciona perfectamente
El chico habla del controlador 340.xx, para tarjetas legacy, el cual aun no le dieron mantenimiento( en breve lo tendrán )

Un saludo.
__________________
Subir fotos: http://subefotos.com/
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a LUKE10 Por Este Mensaje:
Coldbeer (05-may-2015)
  #6  
Antiguo 05-may-2015, 23:24
Coldbeer Coldbeer está desconectado
Habitual
 
Fecha de Ingreso: 02-agosto-2012
Ubicación: Iquique, Chile
Versión: 12.2
Mensajes: 116
Agradecimientos: 64
Agradecido 1 Vez en 1 Mensaje
Poder de Credibilidad: 6
Coldbeer está en el buen camino
Gracias por las respuestas, volveré a 13.2 por ahora hasta que salga algun parche facil de instalar para los drivers 340xx.
Responder Citando
  #7  
Antiguo 05-may-2015, 23:42
Avatar de LUKE10
LUKE10 LUKE10 está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 27-septiembre-2006
Ubicación: Epaña (murcia)
Versión: Leap 42.2 - KDE
Mensajes: 1.654
Agradecimientos: 73
Agradecido 402 Veces en 314 Mensajes
Poder de Credibilidad: 13
LUKE10 está en el buen camino
Enviar un mensaje por MSN a LUKE10
Hola¡¡

El parche como le dices el el mismo para tumbleweed que para la 13.2, es exactamente lo mismo y no son parches, si no poner el repositorio de nvidia y listo, el cual lo tienes en los repositorios de la comunidad en yast2.
Como añadir repositorios:
https://es.opensuse.org/M%C3%B3dulo_...r_repositorios
Y aquí el repositorio de Nvidia:
ftp://download.nvidia.com/opensuse/13.2/
Tambien valido para tumbleweed, el problema es si el kernel adelanta al que esten preparados los controladores, si no quieres problemas de controladores ve a la 13.2 que el kernel no se actualiza con tanta frecuencia, tumbleweed es para gente que quiere estar siempre a la ultima, pero también se le puede bloquear que no actualice el kernel y no tener este problema si no te importa estar unas versiones por detrás.

Un saludo
__________________
Subir fotos: http://subefotos.com/
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a LUKE10 Por Este Mensaje:
mikrios (06-may-2015)
  #8  
Antiguo 06-may-2015, 00:20
Avatar de mad_soft
mad_soft mad_soft está desconectado
Habitual
 
Fecha de Ingreso: 17-octubre-2005
Ubicación: Valencia
Versión: 42.2
Mensajes: 180
Agradecimientos: 4
Agradecido 37 Veces en 27 Mensajes
Poder de Credibilidad: 13
mad_soft está en el buen camino
Enviar un mensaje por ICQ a mad_soft
Cita:
Iniciado por LUKE10 Ver Mensaje
El chico habla del controlador 340.xx, para tarjetas legacy, el cual aun no le dieron mantenimiento( en breve lo tendrán )

Un saludo.
Cierto, pido disculpas no me fije bien en la versión
__________________
http://webs.ono.com/mad_soft/images/linux-reg.jpg
SuSE 42.2
Responder Citando
  #9  
Antiguo 06-may-2015, 01:41
Avatar de LUKE10
LUKE10 LUKE10 está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 27-septiembre-2006
Ubicación: Epaña (murcia)
Versión: Leap 42.2 - KDE
Mensajes: 1.654
Agradecimientos: 73
Agradecido 402 Veces en 314 Mensajes
Poder de Credibilidad: 13
LUKE10 está en el buen camino
Enviar un mensaje por MSN a LUKE10
Red face

Hola¡¡

Por dios no hace falta que te disculpes jajaja .

Un saludo.
__________________
Subir fotos: http://subefotos.com/
Responder Citando
  #10  
Antiguo 06-may-2015, 04:31
Coldbeer Coldbeer está desconectado
Habitual
 
Fecha de Ingreso: 02-agosto-2012
Ubicación: Iquique, Chile
Versión: 12.2
Mensajes: 116
Agradecimientos: 64
Agradecido 1 Vez en 1 Mensaje
Poder de Credibilidad: 6
Coldbeer está en el buen camino
ya instalé 13.2 con kernel 3.16.7 y los controladores nvidia one click G03 y hasta el momento funcionando impecable, lo necesitaba urgente para llevarlo al instituto para finalizar un modulo y tenia que hacer la presentacion con powerpoint (libreoffice impress) y causó sensación opensuse ya que nadie conocia mas alla de windows jaja, estoy haciendo una certificacion de operacion de camiones mineros en altura geografica.
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Activado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
ahora, pc se cuelga aleatoriamente sic General OpenSUSE 6 29-dic-2010 15:40
Tarjeta de video korn_head Hardware 5 03-may-2007 19:24
Inestabilidad de opensuse 10.2 (ayuda) p3g4z0 General OpenSUSE 25 17-feb-2007 10:00
Problema con red en SuSE 9.0 Pro arandaedgar Internet, Redes y Wireless 6 16-oct-2006 02:52
Unable to handle kernel NULL pointer dereference at virtual address 00000000 pacorro.martine General OpenSUSE 1 01-ago-2006 18:44



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 15:14.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba